[SOLVED] Cannot upgrade from v2.94 on Ubuntu 12.04 with PPA
#1
Hi,

I'm trying up grade my old (2.94) installation on Ubuntu. I've ended up banging my head on the table a bit.

I've added the PPA, done my apt-get update and attempted the install. The machine tells me it is up to date, but is still running 2.94.

Digging a bit more, the repository lists in /var/lib/apt/lists show the repository files for the PPA with dates of the 18th April. Looking at the lists, none of them actually export a package (as in, "cat ppa* | grep "Package:" returns no results).

I've tried removing and re-adding the PPA (and manually removing the PPA files to be sure). Still the same problem.

Any ideas?

Cheers,
Lasiadora
#2
It would more helpful if you shared the relevant ppa info is in your /var/lib/apt/lists
#3
Looking at the distro directories here:

http://ppa.launchpad.net/jon-hedgerows/g...ntu/dists/

: combined with your April date on your files suggests you're still using precise/12.04. That's not getting any more updates, and I'm pretty sure it fell off the LTS list once 16.04 came out. I was in the same situation on my server. I upgraded to 16.04 fairly painlessly, I'm now getting updates and I expect to stay supported for a decent long time.
#4
Hi,

Thanks for that - I am on 12.04. I've just kicked off the upgrade so fingers crossed.....